import { IconType } from "react-icons";
import { MdEco, MdMiscellaneousServices, MdPlace, MdHandshake } from "react-icons/md";

import { ArrElement } from "../../../lib";

import { BenefitsList } from "./types";

export const iconsMap: Record<ArrElement<BenefitsList>, IconType> = {
  "benefits-section.list.0": MdEco,
  "benefits-section.list.1": MdMiscellaneousServices,
  "benefits-section.list.2": MdPlace,
  "benefits-section.list.3": MdHandshake,
};